unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RpDefine, RpBase, RpSystem, StdCtrls, TeEngine, Series,
  ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    RvSystem1: TRvSystem;
    procedure FormCreate(Sender: TObject);
    procedure RvSystem1Print(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    MetaFile : TMetafile;
    procedure ResizeCustomAxes(big : boolean);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ResizeCustomAxes(big : boolean);
var i : integer;
begin
  with Chart1.BottomAxis do
  begin
  if big then
  begin
        LabelsFont.Size := LabelsFont.Size * 6;
        Title.Font.Size := Title.Font.Size * 6;
        Axis.Width := Axis.Width * 6;
        Ticks.Width := Ticks.Width *6;
        TickLength := TickLength * 6;
  end
  else
  begin
        LabelsFont.Size := 12;
        Title.Font.Size := 12;
        Axis.Width := 1;
        Ticks.Width := 1;
        TickLength := 4;
  end;
  end;
  with Chart1.LeftAxis do
  begin
  if big then
  begin
        LabelsFont.Size := LabelsFont.Size * 6;
        Title.Font.Size := Title.Font.Size * 6;
        Axis.Width := Axis.Width * 6;
        Ticks.Width := Ticks.Width *6;
        TickLength := TickLength * 6;
  end
  else
  begin
        LabelsFont.Size := 12;
        Title.Font.Size := 12;
        Axis.Width := 1;
        Ticks.Width := 1;
        TickLength := 4;
  end;
  end;
{  for i := 0 to Chart1.CustomAxes.count -1 do     // not used in this example
  begin
    with Chart1.CustomAxes[i] do
    begin
      if big then
      begin
        LabelsFont.Size := LabelsFont.Size * 6;
        Title.Font.Size := Title.Font.Size * 6;
        Axis.Width := Axis.Width * 6;
        Ticks.Width := Ticks.Width *6;
        TickLength := TickLength * 6;
      end
        else
      begin
        LabelsFont.Size := 12;
        Title.Font.Size := 12;
        Axis.Width := 1;
        Ticks.Width := 1;
        TickLength := 4;
      end;
    end;
  end;    }

  for i := 0 to Chart1.SeriesCount - 1 do
  begin
    if big then
      Chart1.Series[i].Pen.Width := 0 // I'm hoping that setting the pen size to 0 would keep the pen style.
      //Chart1.Series[i].Pen.Width := Chart1.Series[i].Pen.Width * 6
    else
      Chart1.Series[i].Pen.Width := 1;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ResizeCustomAxes(true);
  MetaFile := Chart1.TeeCreateMetaFile(True, Rect(0,0,5700,4000));
  ResizeCustomAxes(false);
  RVSystem1.Execute;
end;

procedure TForm1.RvSystem1Print(Sender: TObject);
var
  Report : TBaseReport;
begin
  // Rave report system printer orientation = poLandScape
  Report := Sender as TBaseReport;
  with Report do
  begin
    StretchDraw(Rect(0,0,5700,4000),Metafile);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i : integer;
begin
  for i := 0 to 4 do
  begin
        with TFastLineSeries(Chart1.addSeries(TFastLineSeries.Create(Chart1))) do
            begin
              SeriesColor := clBlack;
              Pen.Width := 0;
              XValues.Order := loNone;
              DrawAllPoints := false;
              FillSampleValues(5000); // typical number of records of our data.
              LinePen.Style := TPenStyle(i);
            end;
  end;
  // There would be more stuff on the right and the bottom on the chart like a legend and a table.
end;

end.
